Bug 57094 - Ghostscript prefiltering to PS level 2 prints garbage
Ghostscript prefiltering to PS level 2 prints garbage
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-12-04 13:38 EST by Pawel Salek
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-12 19:12:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2001-12-04 13:38:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
I Have a HP2200 B&W printer, supporting PS level2. In order to print PS
level 3 documents, I set "ghostscript prefiltering" option to "convert to
PS level 2" and get garbage. "convert to PS level 1" works (slow).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Configure jet direct HP2200 using poscript driver and 
"ghostscript prefiltering" set to 
"convert to PS level 2"
2.try to print anything

Actual Results:  First page contains stair-stepped 
q[1 0 0 1 0 0]concat
36 47 true[1 0 0 1 -1623 -7558]@X imagemask
and then I get lot of empty pages.

Expected Results:  Something reasonable should be printed.

Additional info:

Last message:

 Status: IF filter 'mf_wrapper' filter msg -
'/usr/share/printconf/util/printconf_mfomatic.pl: running: level=1; echo
-en "%!\n<</HWResolution[600 600]>>setpagedevice\n<</ManualFeed
false>>setpagedevice\n"; if (( $level > 0 )); then if (( $level < 99 ));
then level=" -dLanguageLevel=$level"; else level=""; fi; gs -q -dSAFER
-dNOPAUSE -dBATCH -sDEVICE=pswrite$level -sOutputFile=- -; else cat; fi'

This, in connection with reported PCL-driver problems (filed as foomatic
problems) makes HP2200 hardly usable.
Comment 1 Tim Waugh 2002-01-10 08:31:10 EST
This has similaries to bug #42663.
Comment 2 Pawel Salek 2002-01-10 09:14:22 EST
I cannot reproduce problems reported in bug #42663.
I cannot reproduce my original problems after upgrade to
foomatic-1.1-0.20011018.7, ghostscript-6.51-16, glibc-2.2.4-19.3, neither. From
the time perspective, I think ghostscript might have been the culprit but I am
not sure.
I am going to test the printing now a little and report later.
Comment 3 Tim Waugh 2002-01-10 11:39:47 EST
Okay, thanks.
Comment 4 Pawel Salek 2002-01-12 19:11:55 EST
I am basically confident now it is a ghostscript's problem. Conversions with
ghostscript-6.51-16 works relatively reliably as opposed to older versions (I
have got some unconfirmed problems reports) but the fonts get damaged: topmost
parts of the letters are moved (wrapped around?). Intrestingly, output obtained
by running
gs -q -dSAFER -dNOPAUSE -dBATCH -sDEVICE=pswrite -dLanguageLevel=2 
-sOutputFile=output.ps input.ps 
and browsed with gv does not show such features (the font seem to be converted
to a bitmap, though). I wonder if the reason could be that HP2200 has resolution
1200dpi which is much higher that screen's.
Comment 5 Tim Waugh 2002-01-13 06:41:49 EST
Okay, I will close this bug report, since the original problem is gone. (I've 
also noticed wrapped-around characters on one printer here though.)

Note You need to log in before you can comment on or make changes to this bug.